Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.scanner.characters
Class CharRecordInput

    java.lang.Object
      com.servingxml.components.flatfile.scanner.characters.CharRecordInput

All Implemented Interfaces:
  RecordInput

    public class CharRecordInput

extends java.lang.Object
implements RecordInput

Constructor Summary
`CharRecordInput(char[] data, java.nio.charset.Charset charset)`
`CharRecordInput(char[] data, int start, int length, java.nio.charset.Charset charset)`

Method Summary
`RecordInput` | `concatenate(RecordInput ri)`
`RecordInput` | `concatenate(RecordInput ri, int beginIndex)`
`boolean` | `done()`
`java.nio.charset.Charset` | `getCharset()`
`int` | `getLast()`
`int` | `getPosition()`
`int` | `length()`
`void` | `readBracketedRepeatingGroup2(ServiceContext context, Flow flow, QuoteSymbolCharChecker quoteSymbolChecker, CharDelimiterExtractor segmentDelimiter, CharDelimiterExtractor[] repeatCharDelimiterExtractors, int count, CharTrimmer charTrimmer, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, int maxRecordWidth, FlatRecordReader flatRecordReader, RecordReceiver recordReceiver)`
`int` | `readBytes(byte[] value)`
`int` | `readCharacters(char[] value)`
`void` | `readGroup2(ServiceContext context, Flow flow, QuoteSymbolCharChecker quoteSymbolChecker, CharDelimiterExtractor repeatDelimiter, CharTrimmer charTrimmer, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, int maxRecordWidth, CharArrayBuilder charArrayBuilder, FlatRecordReader flatRecordReader, RecordReceiver recordReceiver)`
`void` | `readRepeatingGroup2(ServiceContext context, Flow flow, int count, FlatFileOptions flatFileOptions, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, int maxRecordWidth, FlatRecordReader flatRecordReader, RecordReceiver recordReceiver)`
`RecordInput` | `readSegment(FlatFileOptions flatFileOptions)`
`RecordInput` | `readSegment(int segmentLength)`
`java.lang.String` | `readString(int width)`
`java.lang.String` | `readString(int maxLength, FlatFileOptions flatFileOptions)`
`java.lang.String[]` | `readStringArray(int maxLength, FlatFileOptions flatFileOptions)`
`void` | `readToEndOfSegment(CharDelimiterExtractor segmentDelimiter, CharArrayBuilder charArrayBuilder)`
`void` | `setPosition(int index)`
`int` | `start()`
`byte[]` | `toByteArray()`
`char[]` | `toCharArray()`
`java.lang.String` | `toString()`
`void` | `updateLast()`
`void` | `wipe()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharRecordInput

    public CharRecordInput(char[] data,
                           int start,
                           int length,
                           java.nio.charset.Charset charset)

### CharRecordInput

    public CharRecordInput(char[] data,
                           java.nio.charset.Charset charset)

Method Detail

### toByteArray

    public byte[] toByteArray()

  Specified by:
    `toByteArray` in interface `RecordInput`

### toCharArray

    public char[] toCharArray()

  Specified by:
    `toCharArray` in interface `RecordInput`

### done

    public boolean done()

  Specified by:
    `done` in interface `RecordInput`

### readBytes

    public int readBytes(byte[] value)

  Specified by:
    `readBytes` in interface `RecordInput`

### readString

    public java.lang.String readString(int width)

  Specified by:
    `readString` in interface `RecordInput`

### readString

    public java.lang.String readString(int maxLength,
                                       FlatFileOptions flatFileOptions)
                                throws java.io.IOException

  Specified by:
    `readString` in interface `RecordInput`
  Throws:
    `java.io.IOException`

### readStringArray

    public java.lang.String[] readStringArray(int maxLength,
                                              FlatFileOptions flatFileOptions)
                                       throws java.io.IOException

  Specified by:
    `readStringArray` in interface `RecordInput`
  Throws:
    `java.io.IOException`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `RecordInput`

### length

    public int length()

  Specified by:
    `length` in interface `RecordInput`

### start

    public int start()

  Specified by:
    `start` in interface `RecordInput`

### getLast

    public int getLast()

  Specified by:
    `getLast` in interface `RecordInput`

### setPosition

    public void setPosition(int index)

  Specified by:
    `setPosition` in interface `RecordInput`

### updateLast

    public void updateLast()

### getCharset

    public java.nio.charset.Charset getCharset()

  Specified by:
    `getCharset` in interface `RecordInput`

### wipe

    public void wipe()
              throws java.io.IOException

  Specified by:
    `wipe` in interface `RecordInput`
  Throws:
    `java.io.IOException`

### readSegment

    public RecordInput readSegment(FlatFileOptions flatFileOptions)

  Specified by:
    `readSegment` in interface `RecordInput`

### readCharacters

    public int readCharacters(char[] value)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### readSegment

    public RecordInput readSegment(int segmentLength)

  Specified by:
    `readSegment` in interface `RecordInput`

### readToEndOfSegment

    public void readToEndOfSegment(CharDelimiterExtractor segmentDelimiter,
                                   CharArrayBuilder charArrayBuilder)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### concatenate

    public RecordInput concatenate(RecordInput ri)

  Specified by:
    `concatenate` in interface `RecordInput`

### concatenate

    public RecordInput concatenate(RecordInput ri,
                                   int beginIndex)

  Specified by:
    `concatenate` in interface `RecordInput`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `RecordInput`
  Overrides:
    `toString` in class `java.lang.Object`

### readRepeatingGroup2

    public void readRepeatingGroup2(ServiceContext context,
                                    Flow flow,
                                    int count,
                                    FlatFileOptions flatFileOptions,
                                    DelimiterExtractor[] recordDelimiters,
                                    int recordDelimiterStart,
                                    int recordDelimiterCount,
                                    int maxRecordWidth,
                                    FlatRecordReader flatRecordReader,
                                    RecordReceiver recordReceiver)

  Specified by:
    `readRepeatingGroup2` in interface `RecordInput`

### readBracketedRepeatingGroup2

    public void readBracketedRepeatingGroup2(ServiceContext context,
                                             Flow flow,
                                             QuoteSymbolCharChecker quoteSymbolChecker,
                                             CharDelimiterExtractor segmentDelimiter,
                                             CharDelimiterExtractor[] repeatCharDelimiterExtractors,
                                             int count,
                                             CharTrimmer charTrimmer,
                                             DelimiterExtractor[] recordDelimiters,
                                             int recordDelimiterStart,
                                             int recordDelimiterCount,
                                             int maxRecordWidth,
                                             FlatRecordReader flatRecordReader,
                                             RecordReceiver recordReceiver)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readGroup2

    public void readGroup2(ServiceContext context,
                           Flow flow,
                           QuoteSymbolCharChecker quoteSymbolChecker,
                           CharDelimiterExtractor repeatDelimiter,
                           CharTrimmer charTrimmer,
                           DelimiterExtractor[] recordDelimiters,
                           int recordDelimiterStart,
                           int recordDelimiterCount,
                           int maxRecordWidth,
                           CharArrayBuilder charArrayBuilder,
                           FlatRecordReader flatRecordReader,
                           RecordReceiver recordReceiver)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD